Bug 460838 - (printoxx) Review Request: printoxx - Print image files
Review Request: printoxx - Print image files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 15:19 EDT by Nicoleau Fabien
Modified: 2008-10-20 18:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 18:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-09-01 15:19:36 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.1-1.fc9.src.rpm
Description:
Printoxx is a free open source Linux program for printing one or more image
files with a user-defined page layout. Images can be added to a layout page
using the mouse to select and drop. Images can be moved around and resized
using the mouse. Adding text (titles, notes) works the same way.
Any available font can be used. 

rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint printoxx-1.1-1.fc9.i386.rpm printoxx-1.1-1.fc9.src.rpm printoxx-debuginfo-1.1-1.fc9.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$
Comment 1 Nicoleau Fabien 2008-09-02 16:00:57 EDT
Update to add desktop file :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.1-2.fc9.src.rpm

rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/printoxx-1.1-2.fc9.src.rpm /home/builder/rpmbuild/RPMS/i386/printoxx-1.1-2.fc9.i386.rpm /home/builder/rpmbuild/RPMS/i386/printoxx-debuginfo-1.1-2.fc9.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

rebuild under mock is OK
Comment 2 Nicoleau Fabien 2008-09-03 16:09:29 EDT
Update for 1.2 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.2-1.fc9.src.rpm

rpmlint is silent and rebuild under mock is ok.
Comment 3 Nicoleau Fabien 2008-09-08 15:06:27 EDT
Update for 1.3.1 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.3.1-1.fc9.src.rpm

rpmlint is silent and rebuild under mock is ok.
Comment 4 Nicoleau Fabien 2008-09-18 16:51:30 EDT
Update for 1.4 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.4-1.fc9.src.rpm

rpmlint is silent and rebuild under mock is ok.
Comment 5 Nicoleau Fabien 2008-09-27 17:12:16 EDT
Update for 1.5 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.5-1.fc9.src.rpm


rpmlint is silent and rebuild under mock is ok.
Comment 7 Ralf Corsepius 2008-10-06 03:54:11 EDT
spec file is broken:
...
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ sed -i -e 's/CFLAGS =/CFLAGS +=/' Makefile
++ DESTDIR
/var/tmp/rpm-tmp.71618: line 42: DESTDIR: command not found
++ DOCDIR
/var/tmp/rpm-tmp.71618: line 42: DOCDIR: command not found
+ sed -i -e '/cp  -R doc\/\*  /d' Makefile
...
Comment 8 Nicoleau Fabien 2008-10-06 13:08:02 EDT
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.6-2.fc9.src.rpm

rpmlint is silent, rebuild under mock and koji is OK.
I fixed the problem in specfile.
Comment 9 Orcan Ogetbil 2008-10-11 19:03:50 EDT
The package is in pretty good shape. I have a few requests:

* Make the .desktop file richer. Begin the Name: and GenericName: parts with capital letters. GenericName should be something different then %{name}; it needs to be descriptive. Also afaik you should put a
  --remove-category="Application"
flag to desktop-file-install (or remove that entry manually from %{SOURCE1})

Please check out these guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

* If a package includes something as %doc, it must not affect the runtime of the application. When you click on the "Help" icon on the main window you get this error:
help file not found: /usr/share/doc/printoxx/userguide-en.html
This needs fixed.

* Other than this I couldn't manage to print anything other than blank pages with this software. Does it work on you?
Comment 10 Nicoleau Fabien 2008-10-12 08:57:16 EDT
Hi, and thx for reviewing
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.6-3.fc9.src.rpm

I've updated the desktopfile, and I'm using --remove-category="Application".
I'm now using doc install from makefile. I don't know if I must keep it, or use DOCDIR={_docdir}/%{name}-%{version} as a make parameter.
Now help is displayed when I click on "help" button.

As I don't have a printer, I tried with cups-pdf, and I worked.


Rpmlint is silent and rebuild under mock is OK.
Comment 11 Orcan Ogetbil 2008-10-12 14:47:22 EDT
I think you should keep "%doc doc/*" in the %files section and use "DOCDIR={_docdir}/%{name}-%{version}" as a make parameter (plus maybe some other parameters to make things work properly).

If you have a look at /usr/share/doc directory you will see that pretty much all the applications have their doc directories as "%{name}-%{version}". Let's keep things the way they are.

Other than that, the package is ready to go.
Comment 12 Nicoleau Fabien 2008-10-13 14:59:52 EDT
ok :)
here is the update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/printoxx.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/printoxx-1.6-4.fc9.src.rpm

I think that everything is OK.
RPM still build under mock and rpmlint is silent.
Comment 13 Orcan Ogetbil 2008-10-13 15:51:26 EDT
Great. Thanks for the update.

One last thing: When printing, the package makes a default call to /usr/bin/lp which is a part of "cups" . But "rpm -q --requires printoxx" does not show cups. 

Make sure you add a "Requires: cups" before commiting.

-------------------------------------------
This package (printoxx) is APPROVED by oget
-------------------------------------------
Comment 14 Nicoleau Fabien 2008-10-13 17:15:35 EDT
Thank you for this review Ogetbil.
I'll update the spec before commiting to add "Requires : cups".
Comment 15 Nicoleau Fabien 2008-10-13 17:21:46 EDT
New Package CVS Request
=======================
Package Name: printoxx
Short Description: Print image files
Owners: eponyme
Branches: F-8 F-9
InitialCC:
Comment 16 Kevin Fenzi 2008-10-15 17:59:07 EDT
cvs done.
Comment 17 Fedora Update System 2008-10-16 07:16:51 EDT
printoxx-1.6-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/printoxx-1.6-4.fc8
Comment 18 Fedora Update System 2008-10-16 07:17:41 EDT
printoxx-1.6-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/printoxx-1.6-4.fc9
Comment 19 Fedora Update System 2008-10-20 18:04:15 EDT
printoxx-1.6-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-10-20 18:05:32 EDT
printoxx-1.6-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.